%% RELAX EEG CLEANING PIPELINE, Copyright (C) (2022) Neil Bailey

%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see https://www.gnu.org/licenses/.

%% pop_RELAX:
% Clean data with RELAX via the EEGLAB gui:
function [RELAX_citation] = pop_RELAX_citation()

    % GUI layout
    geometry = {[1.0] ... 
                1 ...
                [1.0] ... 
                1 ...
                [1.0] ... 
                1 ...
                [1.0] ... 
                1 ...
                [1.0] ... 
                1 ...
                [1.0] ... 
                1 ...
                [1.0] ... 
                1 ...
                [1.0] ... 
                };
            
            % GUI settings with defaults:        
uilist = {{'style', 'text', 'string', 'If you use RELAX, please cite the following manuscripts, as well as the dependencies you used (details of which can be found in the manuscripts)','fontweight','bold','fontsize', 9} ...
          {}...
          {'style', 'text', 'string', 'Bailey N.W., Biabani M., Hill A.T., Miljevic A., Rogasch N.C., McQueen B., Murphy O.W., & Fitzgerald P.B. (2023). Introducing RELAX: An automated','fontsize', 9} ...
          {}...
          {'style', 'text', 'string', 'pre-processing pipeline for cleaning EEG data - Part 1: Algorithm and application to oscillations. Clinical Neurophysiology.','fontsize', 9} ...
          {}...
          {'style', 'text', 'string', 'Bailey N.W., Hill A.T., Biabani M., Murphy O.W., Rogasch N.C., McQueen B., Miljevic A., & Fitzgerald P.B. (2023). RELAX part 2: A fully automated','fontsize', 9} ...
          {}...
          {'style', 'text', 'string', 'EEG data cleaning algorithm that is applicable to event-related-potentials. Clinical Neurophysiology.','fontsize', 9} ...
          {}...
          {'style', 'text', 'string', 'If you use targeted wICA cleaning or MWF cleaning with sparse delay embedding, please also cite the following manuscript:','fontweight','bold','fontsize', 9} ...
          {}...
          {'style', 'text', 'string', 'Bailey N.W., Hill A.T., Godfrey K., Perera M.P.N., Rogasch N.C., Fitzgibbon B.M., & Fitzgerald P.B. (2024). EEG is better when cleaning','fontsize', 9} ...
          {}...
          {'style', 'text', 'string', 'effectively targets artifacts. BioRxiv. https://doi.org/10.1101/2024.06.06.597688','fontsize', 9} ...
          };
          
          result = inputgui('geometry', geometry, 'geomvert', [1 .2 1 .2 1 0.2 1.3 0.2 1 0.2 2 0.2 1 0.2 1],  'uilist', uilist, 'title', 'RELAX citation',  'helpcom', 'pophelp(''pop_RELAX_citation'')');
          
          RELAX_citation = {'Bailey, N.W., Biabani, M., Hill, A.T., Miljevic, A., Rogasch, N.C., McQueen, B., Murphy, O.W., & Fitzgerald, P.B. (2023). Introducing RELAX: An automated pre-processing pipeline for cleaning EEG data - Part 1: Algorithm and application to oscillations. Clinical Neurophysiology.';...
              'Bailey, N.W., Hill, A.T., Biabani, M., Murphy, O.W., Rogasch, N.C., McQueen, B., Miljevic, A., & Fitzgerald, P.B. (2023). RELAX part 2: A fully automated EEG data cleaning algorithm that is applicable to event-related-potentials. Clinical Neurophysiology.';...
              'Bailey N.W., Hill A.T., Godfrey K., Perera M.P.N., Rogasch N.C., Fitzgibbon B.M., & Fitzgerald P.B. (2024). EEG is better when cleaning effectively targets artifacts. BioRxiv. https://doi.org/10.1101/2024.06.06.597688'};
          
end
